PUT /katello/api/organizations/114267492/sync_plans/712395790/add_products
{
"product_ids": [
"785257261",
"1073012828"
],
"sync_plan": {}
}
200
{
"id": 712395790,
"organization_id": 114267492,
"name": "Sync Plan Hourly",
"description": "An hourly sync plan",
"interval": "hourly",
"next_sync": "2026-11-12 11:46:00 UTC",
"sync_date": "2014-01-09 17:46:00 +0000",
"created_at": "2014-01-09 17:46:00 UTC",
"updated_at": "2026-11-12 11:09:01 UTC",
"enabled": true,
"foreman_tasks_recurring_logic_id": 41,
"cron_expression": null,
"products": [
{
"id": 785257261,
"cp_id": "123123123001",
"name": "Fedora",
"label": "fedora_label",
"description": "An open source Linux distribution.",
"sync_state": null,
"last_sync": null,
"last_sync_words": null,
"repository_count": 25
},
{
"id": 1073012828,
"cp_id": "redhat",
"name": "Red Hat Linux",
"label": "redhat_label",
"description": "A more Enterprisy fedora",
"sync_state": null,
"last_sync": null,
"last_sync_words": null,
"repository_count": 9
}
],
"permissions": {
"view_sync_plans": true,
"edit_sync_plans": true,
"destroy_sync_plans": true
}
}
| Param name | Description |
|---|---|
|
organization_id
required |
Organization ID Validations:
|
|
id
required |
ID of the sync plan Validations:
|
|
product_ids
required |
List of product ids to add to the sync plan Validations:
|